import React from "react";
import { connect } from "react-redux";
import icon from '../user.png';
import './Header.css';

function AvaLogo({ link }) {
    return <img src= {link ? ('http://localhost:3000/' + link) : icon} className = 'avatar' alt='user_photo'></img>
}

const ConnectedAvaLogo = connect((state) => ({link: state?.p?.payload?.data?.avatar?.url}))(AvaLogo);

export default ConnectedAvaLogo;

// https://w7.pngwing.com/pngs/946/367/png-transparent-gray-cat-illustration-cat-pusheen-kitten-cuteness-desktop-cute-love-animals-pet.png