import { connect } from "react-redux";
import { actionAuthLogout } from "../actions";
import ConnectedAvaLogo from "./Avatar";
import './Header.css';

const NickName = ({ nick, onLogOut }) => {
    return (
      <>
        <a href = '/cabinet'>
        <ConnectedAvaLogo />
        </a>
        <div className='logaut'>
        <a href = '/cabinet'>{nick}
        </a>
        <a href = '/'><button onClick = {() => (onLogOut())}>Log out</button></a>
        </div>
      </>
      )
    }
    
const ConnectedNick = connect(state => ({nick: state?.a?.payload?.sub?.login, logedIn: state.a.token}),{onLogOut:actionAuthLogout})(NickName);
export default ConnectedNick;